openSUSE Security Update : freetype2 (freetype2-794)

Critical Nessus Plugin ID 40217

Synopsis

The remote openSUSE host is missing a security update.

Description

Freetype was updated to fix some integer overflows that can be exploited remotely in conjunction with programs like a web-browser.
(CVE-2009-0946) Thanks to Tavis Ormandy who found the bugs.

Solution

Update the affected freetype2 packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=485889

Plugin Details

Severity: Critical

ID: 40217

File Name: suse_11_1_freetype2-090416.nasl

Version: 1.10

Type: local

Agent: unix

Published: 2009/07/21

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:freetype2, p-cpe:/a:novell:opensuse:freetype2-32bit, p-cpe:/a:novell:opensuse:freetype2-devel, p-cpe:/a:novell:opensuse:freetype2-devel-32bit, cpe:/o:novell:opensuse:11.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/04/16

Reference Information

CVE: CVE-2009-0946

CWE: 189